Page MenuHomePhabricator

Add Hubblesite.org and Spacetelescope.org to the wgCopyUploadsDomains whitelist of Wikimedia Commons
Closed, ResolvedPublic

Description

I'm requesting that Hubblesite.org and Spacetelescope.org be added to the whitelist. Hubblesite.org images are PD-Hubble unless stated to be from another source (just like files from NASA.gov, already whitelisted) and files from Spacetelescope.org are CC-Hubble, again, unless otherwise stated to be from another source. Images acceptable to Commons comprise the vast majority of files on these sites.

Event Timeline

Huntster created this task.Aug 8 2019, 12:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2019, 12:32 AM
DannyS712 moved this task from Backlog to Config - to process on the Wikimedia-Site-requests board.
Restricted Application added a project: User-DannyS712. · View Herald TranscriptAug 8 2019, 12:52 AM

Change 528975 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[operations/mediawiki-config@master] Add Hubblesite.org and Spacetelescope.org to commons wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/528975

License check:
https://hubblesite.org/copyright - "Unless otherwise stated, all material on the site was produced by NASA and the Space Telescope Science Institute (STScI). Material on this site produced by STScI was created, authored, and/or prepared for NASA under Contract NAS5-03127. Unless otherwise specifically stated, no claim to copyright is being asserted by STScI and material on this site may be freely used as in the public domain in accordance with NASA's contract."
https://www.spacetelescope.org/copyright/ - "ESA/Hubble images, videos and web texts are released under the Creative Commons Attribution 4.0 International license and may on a non-exclusive basis be reproduced without fee provided they are clearly and visibly credited. Detailed conditions are below."

DannyS712 added a project: User-Urbanecm.
DannyS712 moved this task from Backlog to To deploy on the User-Urbanecm board.

Change 528975 merged by jenkins-bot:
[operations/mediawiki-config@master] Add Hubblesite.org and Spacetelescope.org to commons wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/528975

Mentioned in SAL (#wikimedia-operations) [2019-08-08T11:24:07Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: 9a4494a: Add Hubblesite.org and Spacetelescope.org to commons wgCopyUploadsDomains (T230083) (duration: 00m 57s)

Urbanecm closed this task as Resolved.Aug 8 2019, 11:24 AM
Urbanecm added a subscriber: Urbanecm.

Done!

Huntster reopened this task as Open.Aug 13 2019, 10:41 PM

With apologies, I must request that this action be modified to allow subdomains for each case. In other words:

Sorry this was not caught before now.

Change 530015 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[operations/mediawiki-config@master] Fix addition of Hubblesite.org and Spacetelescope.org to commons wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/530015

Change 530015 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix addition of Hubblesite.org and Spacetelescope.org to commons wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/530015

Mentioned in SAL (#wikimedia-operations) [2019-08-15T11:12:06Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: 0d8c516: Fix addition of Hubblesite.org and Spacetelescope.org to commons wgCopyUploadsDomains (T230083) (duration: 00m 48s)

Urbanecm closed this task as Resolved.Aug 15 2019, 11:12 AM

Done!